package com.ruoyi.system.domain;



import com.alibaba.fastjson2.JSON;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.w3c.dom.Text;

/**
 * 勘探数据表 scheme_exploration
 *
 * @author ruoyi
 */

public class SchemeExploration
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 勘探数据 */
    @Excel(name = "勘探数据")
    private String explorationData;
    /**方案是否去人（0：未确认，1已确认）**/
    public Long explorationType;

    /** 创建者（Long类型，覆盖BaseEntity的String版本） */
    private Long createBy;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 更新者（Long类型，覆盖BaseEntity的String版本） */
    private Long updateBy;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExplorationData() {
        return explorationData;
    }

    public void setExplorationData(String explorationData) {
        this.explorationData = explorationData;
    }

    public Long getExplorationType() {
        return explorationType;
    }

    public void setExplorationType(Long explorationType) {
        this.explorationType = explorationType;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
